Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1357643 - rpm-ostree: relocation error: /usr/lib64/rpm-ostree/libhif.so.3: symbol solv_extend_realloc, version SOLV_1.0 not defined in file libsolv.so.0 with link time reference
Summary: rpm-ostree: relocation error: /usr/lib64/rpm-ostree/libhif.so.3: symbol solv_...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: rpm-ostree-client
Version: 7.2
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Colin Walters
QA Contact: atomic-bugs@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-18 18:21 UTC by Micah Abbott
Modified: 2016-09-14 14:11 UTC (History)
0 users

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-14 14:11:48 UTC


Attachments (Terms of Use)

Description Micah Abbott 2016-07-18 18:21:16 UTC
From RHELAH 7.2.5, I upgraded to the latest 7.2.6 compose, then tried to deploy 7.2.4 and received the error in $summary.

It appears the 'deploy' operation was successful, regardless of the error.


-bash-4.2# rpm-ostree status
State: idle
Deployments:
● rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.6 (2016-07-16 21:49:40)
        Commit: b41773d2bf166d6d2caf358db2e203c4550a3fec6a423ca35c2a00241159bd5b
        OSName: rhel-atomic-host
  GPGSignature: (unsigned)

  rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard
       Version: 7.2.5 (2016-06-18 15:21:12)
        Commit: 9bfe1fb65094d43e420490196de0e9aea26b3923f1c18ead557460b83356f058
        OSName: rhel-atomic-host
  GPGSignature: (unsigned)

-bash-4.2# rpm-ostree deploy 7.2.4
Resolving version '7.2.4'

580 metadata, 2743 content objects fetched; 220186 KiB transferred in 286 seconds                                                                                                                                  
Copying /etc changes: 31 modified, 4 removed, 59 added
Transaction complete; bootconfig swap: yes deployment count change: 0
Freed objects: 1.8 kB
rpm-ostree: relocation error: /usr/lib64/rpm-ostree/libhif.so.3: symbol solv_extend_realloc, version SOLV_1.0 not defined in file libsolv.so.0 with link time reference

-bash-4.2# systemctl reboot
Connection to 192.168.122.222 closed by remote host.
Connection to 192.168.122.222 closed.

[/var/lib/libvirt/images ]$ ssh 192.168.122.222
Warning: Permanently added '192.168.122.222' (ECDSA) to the list of known hosts.
Last login: Mon Jul 18 15:23:44 2016 from 192.168.122.1

[cloud-user@rhel-atomic-7 ~]$ sudo su -
Last login: Mon Jul 18 15:23:48 UTC 2016 on pts/0

-bash-4.2# rpm-ostree status
  TIMESTAMP (UTC)         VERSION   ID             OSNAME               REFSPEC                                                        
* 2016-05-06 05:57:30     7.2.4     b060975ce3     rhel-atomic-host     rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard     
  2016-07-16 21:49:40     7.2.6     b41773d2bf     rhel-atomic-host     rhel-atomic-host-ostree:rhel-atomic-host/7/x86_64/standard

Comment 3 Colin Walters 2016-09-14 14:11:48 UTC
Should be fixed.


Note You need to log in before you can comment on or make changes to this bug.